- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GNet::ConnectionLookup::Connection Struct Reference

Holds information provided by GNet::ConnectionLookup::find(). More...

`#include <gconnectionlookup.h>`

## Public Member Functions
bool | valid () const
std::string | peerName () const

## Public Attributes
std::string | m_peer_name
bool | m_valid

## Detailed Description

Holds information provided by GNet::ConnectionLookup::find().

Definition at line 46 of file gconnectionlookup.h.

## Member Function Documentation

std::string GNet::ConnectionLookup::Connection::peerName | ( |  | ) | const

Definition at line 30 of file gconnectionlookup_unix.cpp.

bool GNet::ConnectionLookup::Connection::valid | ( |  | ) | const

Definition at line 25 of file gconnectionlookup_unix.cpp.

## Member Data Documentation

std::string GNet::ConnectionLookup::Connection::m_peer_name

Definition at line 50 of file gconnectionlookup.h.

bool GNet::ConnectionLookup::Connection::m_valid

Definition at line 51 of file gconnectionlookup.h.

Referenced by GNet::ConnectionLookup::find().

The documentation for this struct was generated from the following files:

- gconnectionlookup.h
- gconnectionlookup_unix.cpp